clear all
close all
clc

% 2.1

% Intervalo a evaluar y condiciones iniciales
tspan = [0, 1];
z0 = [100, 100];

% Notar que utilizamos las opcionesp por defecto mediante {}, esto lo
% hacemos para poder pasar el parametro alpha al final de la ode45.
[t, z] = ode45(@conejos_zorros, tspan, z0, {}, 0);

figure(1)
plot(t, z(:, 1), 'r', t, z(:,2), 'b'); grid on
xlabel('tiempo [anhos]')
legend('conejos', 'zorros');

% 2.2

% Intervalo a evaluar y condiciones iniciales
tspan = [0, 12];
z0 = [300, 150];

% Notar que utilizamos las opcionesp por defecto mediante {}, esto lo
% hacemos para poder pasar el parametro alpha al final de la ode45.
[t, z] = ode45(@conejos_zorros, tspan, z0, {}, 0.01);

figure(2)
plot(t, z(:, 1), 'r', t, z(:,2), 'b'); grid on
xlabel('tiempo [anhos]')
legend('conejos', 'zorros');

% Se logra un balance ciclico entre especies, donde cada poblacion tiende a
% crecer, pero luego de un tiempo a decrecer (zorros comen conejos y zorros
% comienzan a morir.

% 2.3

% Intervalo a evaluar y condiciones iniciales
tspan = [0, 12];
z0 = [15, 22];

% Notar que utilizamos las opcionesp por defecto mediante {}, esto lo
% hacemos para poder pasar el parametro alpha al final de la ode45.
[t, z] = ode45(@conejos_zorros, tspan, z0, {}, 0.01);

figure(2)
plot(t, z(:, 1), 'r', t, z(:,2), 'b'); grid on
xlabel('tiempo [anhos]')
legend('conejos', 'zorros');

% Este caso es imposible que ocurra, debido a que hay un momento en que
% queda 1 solo conejo, y no se podria reproducir...
