clear all
close all
clc

% 4.1
dy = @(x, y) 100 * (1 - y); 

xspan = [0, 5];
y0 = 2;

[x1, y1] = ode45(dy, xspan, y0);
[x2, y2] = ode15s(dy, xspan, y0);

% Si se generan "n" puntos, tenemos n-1 subintervalos, por eso calculamos
% el largo del vector x tomando 1 elemento menos (2:end).
fprintf('Subintervalos ode45: %d\n', length(x1(2:end)));
fprintf('Subintervalos ode15s: %d\n', length(x2(2:end)));

% 4.2
figure(1)
plot(x1(1:end-1), x1(2:end) - x1(1:end-1), 'r'); hold on; grid on
plot(x2(1:end-1), x2(2:end) - x2(1:end-1), 'g')
title('Tamanhos de paso')
legend('ode45', 'ode15s')

figure(2)
plot(x2, exp(-100*x2) + 1, 'b')
title('solucion exacta')
