clear all
close all
clc

% PVI
dx = @(t, x) -3*t*x^2 + 1/(1 + t^3);
tspan = [0, 5];
x0 = 0;

% Solo para imprimir la tabla de valores "elegantemente"
opts = [1e-2, 1e-4; 1e-3, 1e-5; 1e-4, 1e-6; 1e-5, 1e-7];

fprintf('********************\n')
fprintf('* max(|xi - x(ti)|)*\n')
fprintf('********************\n')

for i = 1:4
    options = odeset('RelTol', opts(i, 1), 'AbsTol', opts(i, 2));
    [t, x] = ode45(dx, tspan, x0, options);
    fprintf('* %f         *\n', max(abs(x - t./(1 + t.^3))))
    fprintf('********************\n')
end

% 6.2
figure(1)
plot(t,t./(1+t.^3))
figure(2)
plot(t(1:end-1),t(2:end)-t(1:end-1))